package com.bocloud.cmp.model.hmc;

public class HmdPartitionPowerOnModel {
    //The boot mode to use when activating an AIX, Linux, or
    //Virtual I/O Server partition. Valid values are norm for
    //normal, dd for diagnostic with default boot list, ds for
    //diagnostic with stored boot list, of for Open Firmware
    //OK prompt, or sms for System Man- agement Services.
    private String bootMode;
    //The IPL source to use when activating an IBM i
    //partition. Valid values are a, b, c, or d.
    private String iplSource;
    //The IPv4 address of the Ethernet adapter or HEA logical
    //port assigned as the alternate restart device of the IBM
    //i partition for which to perform the network install
    //operation.
    private String ipv4Address;
    //The network mask associated with the IP address
    //specified with the --ip option.
    private String netmask;
    //The IPv4 address of the gateway to use when performing
    //a network install of an IBM i partition.
    private String gateway;
    //The IPv4 address of the server that contains the network
    //install images for an IBM i partition.
    private String serverIpv4Address;
    //The directory on the server that contains the network
    //install images for an IBM i partition.
    private String serverDir;
    //The speed setting to use when performing a network
    //install of an IBM i partition. Valid values are:
    //• auto - automatically detect and set speed
    //• 1 - 1 Mbps
    //• 10 - 10 Mbps
    //• 100 - 100 Mbps
    //• 1000 - 1000 Mbps
    //If this option is not specified, it defaults to auto.
    private Integer speed;
    //The duplex setting to use when performing a network
    //install of an IBM i partition. Valid values are:
    //• auto - automatically detect and set duplex
    //• half - half duplex
    //• full - full duplex
    //If this option is not specified, it defaults to auto.
    private String duplex;
    //The maximum transmission unit, in bytes, to use when
    //performing a network install of an IBM i partition.
    //Valid values are 1500 or 9000 bytes. If this option is not
    //specified, it defaults to 1500 bytes.
    private String mtu;
    //When activating a partition that uses virtual ethernet
    //adapter Virtual Station Interface (VSI) profiles, use
    //this option to allow the partition to be activated without
    //VSI profiles. Note that when this option is specified,
    //the partition will still be acti- vated with VSI profiles if
    //possible.
    private Boolean noVsi;
    //This option allows you to shut down a Virtual IO Server
    //(VIOS) partition which is the only VIOS partition
    //providing access to the paging device or reserved storage
    //device for one or more partitions. This option also allows
    //you to activate a shared memory partition under any of
    //the following conditions:
    //• The partition is configured to use redundant paging
    //VIOS partitions, but only one paging VIOS partition
    //is currently available and that paging VIOS partition
    //has access to an available paging space device in the
    //shared memory pool.
    //• The partition is configured to use redundant paging
    //VIOS partitions, but there is no available paging
    //space device in the shared memory pool that can be
    //accessed by both paging VIOS partitions. However,
    //there is an available paging space device in the shared
    //memory pool that can be accessed by one of the
    //paging VIOS partitions.
    //• The partition is configured to use a single paging
    //VIOS partition which is not currently available or
    //does not have access to an available paging space
    //device in the shared memory pool, but there is
    //another paging VIOS partition in the shared memory
    //pool that is available and that has access to an
    //available paging space device in the shared memory
    //pool.
    private Boolean force;
    //The keylock position to set. Valid values are manual and
    //norm for normal. This option is required when setting
    //the keylock position for a partition or a managed system.
    //This option is optional when powering on a managed
    //system or activating a partition.
    private String keyLock;
    //The name of the profile against which the partition will
    //be powered on.
    private String profile;

    public String getBootMode() {
        return bootMode;
    }

    public void setBootMode(String bootMode) {
        this.bootMode = bootMode;
    }

    public String getIplSource() {
        return iplSource;
    }

    public void setIplSource(String iplSource) {
        this.iplSource = iplSource;
    }

    public String getIpv4Address() {
        return ipv4Address;
    }

    public void setIpv4Address(String ipv4Address) {
        this.ipv4Address = ipv4Address;
    }

    public String getNetmask() {
        return netmask;
    }

    public void setNetmask(String netmask) {
        this.netmask = netmask;
    }

    public String getGateway() {
        return gateway;
    }

    public void setGateway(String gateway) {
        this.gateway = gateway;
    }

    public String getServerIpv4Address() {
        return serverIpv4Address;
    }

    public void setServerIpv4Address(String serverIpv4Address) {
        this.serverIpv4Address = serverIpv4Address;
    }

    public String getServerDir() {
        return serverDir;
    }

    public void setServerDir(String serverDir) {
        this.serverDir = serverDir;
    }

    public Integer getSpeed() {
        return speed;
    }

    public void setSpeed(Integer speed) {
        this.speed = speed;
    }

    public String getDuplex() {
        return duplex;
    }

    public void setDuplex(String duplex) {
        this.duplex = duplex;
    }

    public String getMtu() {
        return mtu;
    }

    public void setMtu(String mtu) {
        this.mtu = mtu;
    }

    public Boolean getNoVsi() {
        return noVsi;
    }

    public void setNoVsi(Boolean noVsi) {
        this.noVsi = noVsi;
    }

    public Boolean getForce() {
        return force;
    }

    public void setForce(Boolean force) {
        this.force = force;
    }

    public String getKeyLock() {
        return keyLock;
    }

    public void setKeyLock(String keyLock) {
        this.keyLock = keyLock;
    }

    public String getProfile() {
        return profile;
    }

    public void setProfile(String profile) {
        this.profile = profile;
    }
}
